Remove a workspace user
curl --request DELETE \
--url https://intentleads.si/api/v1/workspaces/{id}/members/{userId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://intentleads.si/api/v1/workspaces/{id}/members/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://intentleads.si/api/v1/workspaces/{id}/members/{userId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"workspace": "6f1d2c3b-4a5e-4f60-8172-93a4b5c6d7e8",
"user_id": "c41d7e90-2a3b-4f5c-8d6e-9f0a1b2c3d4e",
"removed": true,
"still_has_access_through_organization": false
}
Remove a workspace user
Removes their workspace access. If they also have it through the organization, they keep that.
Admin key of the organization, or of the workspace itself. Standard keys get 403 admin_key_required.
DELETE
/
api
/
v1
/
workspaces
/
{id}
/
members
/
{userId}
Remove a workspace user
curl --request DELETE \
--url https://intentleads.si/api/v1/workspaces/{id}/members/{userId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://intentleads.si/api/v1/workspaces/{id}/members/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://intentleads.si/api/v1/workspaces/{id}/members/{userId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"workspace": "6f1d2c3b-4a5e-4f60-8172-93a4b5c6d7e8",
"user_id": "c41d7e90-2a3b-4f5c-8d6e-9f0a1b2c3d4e",
"removed": true,
"still_has_access_through_organization": false
}